Bug 131626 - No notification when printers are removed
No notification when printers are removed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomecups (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: FC3Target 131589
  Show dependency treegraph
 
Reported: 2004-09-02 14:44 EDT by Matthias Clasen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 13:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2004-09-02 14:44:39 EDT
J5 demonstrated that a USB printer appears in the print dialog when it
is plugged in, so the printer-added notification works, but pulling
the plug doesn't make it disappear.

Starting a new gedit and opening the print dialog doesn't show the
printer anymore, so cups has probably figured out that the printer is
gone, but libgnomecups fails to pick it up.
Comment 1 Matthias Clasen 2004-09-03 17:41:30 EDT
John, can you test this with libgnomecups-0.1.11-4 and
libgnomeprint-2.7.1-7 once the build system is done with them ?
Comment 2 John (J5) Palmieri 2004-09-07 15:00:48 EDT
Ok, this works now but I have a crash in gedit and gpdf when plugging
in a or out a printer when the print dialog is being displayed and
clicking within the printer list widget.  Should I open a new bug?
Comment 3 Matthias Clasen 2004-09-07 15:08:43 EDT
Attaching the stacktrace here would be fine
Comment 4 John (J5) Palmieri 2004-09-07 15:22:21 EDT
Backtrace from gdb:

#0  0x00a94782 in ?? () at rtld.c:576 from /lib/ld-linux.so.2
#1  0x008f53d8 in ?? () from /lib/tls/libpthread.so.0
#2  0x021991aa in httpPrintf (http=0xf6c06970,
    format=0xffffffe0 <Address 0xffffffe0 out of bounds>) at http.c:1459
#3  0x02199361 in http_send (http=0xf6c06970, request=HTTP_POST,
    uri=0xf6c06f70 "") at http.c:2067
#4  0x021a50e1 in cupsDoFileRequest (http=0xf6c06970, request=0x8681df8,
    resource=0x86a7a88 "/", filename=0x0) at util.c:269
#5  0x006cf347 in request_thread_main (request=0x869e0b8, unused=0x0)
    at gnome-cups-request.c:355
#6  0x005fb7ce in g_thread_pool_free () from /usr/lib/libglib-2.0.so.0
#7  0x005f95c2 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#8  0x008eff5c in start_thread (arg=0xffffffe0) at pthread_create.c:264
#9  0x00c1acea in ?? () from /lib/tls/libc.so.6
Comment 5 Matthias Clasen 2004-09-08 12:32:08 EDT
John can you test again with the libgnomeprintui22-2.7.1-7 which I
built into fc3-scratch ?

Note You need to log in before you can comment on or make changes to this bug.